<script setup>
    const props =defineProps (['url','mailtitle','mailbody']);
</script>

<template>
    <div
        class="fixed z-50 context-menu flex flex-col bg-white rounded-[4px] shadow-las"
    >
        <div class="flex m-2 font-bold mb-1 cursor-default" ><img src="/images/partager.svg" width="20px" height="20px" class="mr-1" alt="partager" />Partager</div>
        <buttonFacebook :url="url" text="Facebook" linkclass="button-link" />
        <buttonInstagram :url="url" text="Instagram" class="button-link" />
        <buttonMail text="Mail" :mailtitle="mailtitle" :mailbody="mailbody" linkclass="button-link" />
        <buttonCopyLink :url="url" text="Copier le lien" class="button-link" />
    </div>
</template>
  
<style scoped>
  .button-link {
    display: flex;
    margin: 2px;
    padding: 4px;
  }

  .button-link:hover {
    background-color: black;
    cursor: pointer;
    background-color: #f0f0f0;
  }
</style>